Try ERPNext Try Frappe Cloud Buy Support Partners Foundation

New to this Please help (RuntimeError: no object bound to conf)

Traceback (most recent call last):
File “/home/anshul/frappe-bench/apps/frappe/frappe/app.py”, line 54, in application
init_request(request)
File “/home/anshul/frappe-bench/apps/frappe/frappe/app.py”, line 110, in init_request
frappe.init(site=site, sites_path=_sites_path)
File “/home/anshul/frappe-bench/apps/frappe/frappe/init.py”, line 150, in init
local.conf = _dict(get_site_config())
File “/home/anshul/frappe-bench/apps/frappe/frappe/init.py”, line 225, in get_site_config
config.update(get_file_json(site_config))
File “/home/anshul/frappe-bench/apps/frappe/frappe/init.py”, line 1043, in get_file_json
return json.load(f)
File “/usr/lib/python3.6/json/init.py”, line 299, in load
parse_constant=parse_constant, object_pairs_hook=object_pairs_hook, **kw)
File “/usr/lib/python3.6/json/init.py”, line 354, in loads
return _default_decoder.decode(s)
File “/usr/lib/python3.6/json/decoder.py”, line 339, in decode
obj, end = self.raw_decode(s, idx=_w(s, 0).end())
File “/usr/lib/python3.6/json/decoder.py”, line 355, in raw_decode
obj, end = self.scan_once(s, idx)
json.decoder.JSONDecodeError: Expecting ‘,’ delimiter: line 3 column 2 (char 24)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/anshul/frappe-bench/env/lib/python3.6/site-packages/werkzeug/local.py”, line 72, in getattr
return self.storage[self.ident_func()][name]
KeyError: ‘conf’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/anshul/frappe-bench/env/lib/python3.6/site-packages/werkzeug/local.py”, line 309, in _get_current_object
return getattr(self.__local, self.name)
File “/home/anshul/frappe-bench/env/lib/python3.6/site-packages/werkzeug/local.py”, line 74, in getattr
raise AttributeError(name)
AttributeError: conf

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/anshul/frappe-bench/apps/frappe/frappe/middlewares.py”, line 16, in call
return super(StaticDataMiddleware, self).call(environ, start_response)
File “/home/anshul/frappe-bench/env/lib/python3.6/site-packages/werkzeug/middleware/shared_data.py”, line 220, in call
return self.app(environ, start_response)
File “/home/anshul/frappe-bench/env/lib/python3.6/site-packages/werkzeug/middleware/shared_data.py”, line 220, in call
return self.app(environ, start_response)
File “/home/anshul/frappe-bench/env/lib/python3.6/site-packages/werkzeug/local.py”, line 231, in application
return ClosingIterator(app(environ, start_response), self.cleanup)
File “/home/anshul/frappe-bench/env/lib/python3.6/site-packages/werkzeug/wrappers/base_request.py”, line 237, in application
resp = f(*args[:-2] + (request,))
File “/home/anshul/frappe-bench/apps/frappe/frappe/app.py”, line 88, in application
response = handle_exception(e)
File “/home/anshul/frappe-bench/apps/frappe/frappe/app.py”, line 236, in handle_exception
make_error_snapshot(e)
File “/home/anshul/frappe-bench/apps/frappe/frappe/utils/error.py”, line 21, in make_error_snapshot
if frappe.conf.disable_error_snapshot:
File “/home/anshul/frappe-bench/env/lib/python3.6/site-packages/werkzeug/local.py”, line 348, in getattr
return getattr(self._get_current_object(), name)
File “/home/anshul/frappe-bench/env/lib/python3.6/site-packages/werkzeug/local.py”, line 311, in _get_current_object
raise RuntimeError(“no object bound to %s” % self.name)
RuntimeError: no object bound to conf
The debugger caught an exception in your WSGI application. You can now look at the traceback which led to the error.
To switch between the interactive traceback and the plaintext one, you can click on the “Traceback” headline. From the text traceback you can also create a paste of it. For code execution mouse-over the frame you want to debug and click on the console icon on the right side.

You can execute arbitrary Python code in the stack frames and there are some extra helpers available for introspection:

dump() shows all variables in the frame
dump(obj) dumps all that’s known about the object

check your common_site_config.json and site_config.json
Both files should be valid JSON files.

Valid in what sense can you please tell me?
It looks well as of now.
“db_name”: “_ad03fa1a016ca1c4”,
It’s showing red color on the colon in the file site_config.json.

Hello,

Please put up the whole site_config.json, so that the people can check what’s wrong.

Thanks,

Ivan

common_site_config.json

{ “auto_update”: false, “background_workers”: 1, “dns_multitenant”: true, “file_watcher_port”: 6787, “frappe_user”: “anshul”, “gunicorn_workers”: 9, “maintenance_mode”: 1, “pause_scheduler”: 1, “rebase_on_pull”: false, “redis_cache”: “redis://localhost:13000”, “redis_queue”: “redis://localhost:11000”, “redis_socketio”: “redis://localhost:12000”, “restart_supervisor_on_update”: false, “restart_systemd_on_update”: false, “serve_default_site”: true, “shallow_clone”: true, “socketio_port”: 9000, “webserver_port”: 8000 }


site_config.json

{ “developer_mode”: 1 “db_name”: “_ad03fa1a016ca1c4”, “db_password”: “FkYVzefCiqeDYUmb”, “db_type”: “mariadb” }

missing comma (,) after "developer_mode": 1

Working :)) Thank you so much, everyone.
Do you guys have any other social media channel like telegram where we can discuss our problems?